Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-70592

qmake fails with Xcode 10 (This mkspec requires Xcode 4.3 or later, unusable .xcodeproj)

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Done
    • Affects Version/s: 5.9.6, 5.11.1
    • Fix Version/s: 5.9.7
    • Component/s: Build tools: qmake
    • Environment:
      Xcode 10
      macOS 10.13.6
      QtCreator 4.7.0
      Qt & QtCreator from Online Installer
    • Platform/s:
      iOS/tvOS/watchOS
    • Commits:
      50dd9b10e23df626c35f8d59ae0d0579092eb078

      Description

      Just updated Xcode to version 10, and qmake now fails. No problem with Qt 5.11.1.

      13:42:19: Running steps for project MyApp...
      13:42:19: Starting: "/Users/user/Qt/5.9.6/ios/bin/qmake" /Users/user/code/cpp/branches/mobileapp/MyApp/MyApp.pro -spec macx-ios-clang CONFIG+=iphoneos CONFIG+=device CONFIG+=qml_debug
      Project ERROR: This mkspec requires Xcode 4.3 or later
      13:42:20: The process "/Users/user/Qt/5.9.6/ios/bin/qmake" exited with code 3.
      Error while building/deploying project MyApp (kit: Qt 5.9.6 for iOS3)
      When executing step "qmake"
      13:42:20: Elapsed time: 00:00.
      

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              liaqi Liang Qi
              Reporter:
              talkless Vincas Dargis
              Votes:
              4 Vote for this issue
              Watchers:
              11 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes